// circleFile.h: interface for the CircleFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CIRCLEFILE_H__49C434FE_7469_407D_8677_F040EA426B1F__INCLUDED_)
#define AFX_CIRCLEFILE_H__49C434FE_7469_407D_8677_F040EA426B1F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#pragma warning(disable:4786) 
#include <iostream>
#include <fstream>

using namespace std;

class CircleFile  
{
public:
	bool file_exists(string *fname);
	bool write_line(string line);
	void rewind_oneline();
	int char_count;
	int eof();
	int the_zone;
	fstream the_file;
	int mode;

	bool open_file(string fname, int file_mode, int zone);
	bool write_line(string *line);
	int rewind_file();
	int close_file();
	int tilde_read(string *read_string);
	int get_line(string *line);

	CircleFile();
	~CircleFile();

};

#endif // !defined(AFX_CIRCLEFILE_H__49C434FE_7469_407D_8677_F040EA426B1F__INCLUDED_)
